<?php

namespace Drupal\trinion_live_chat\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\node\Entity\Node;
use Drupal\user\Entity\User;

/**
 * Returns responses for Zoo Status chat module routes.
 */
class OperatorChatPageController extends ControllerBase {

  /**
   * Builds the response.
   */
  public function build() {
    $user = \Drupal::currentUser();
    $user = User::load($user->id());

    $build['content'] = [
      '#theme' => 'trinion_chat',
      '#attached' => ['library' => ['trinion_live_chat/chat']],
      '#operator_status' => $user->get('field_tlc_operator_zanyat')->getString(),
    ];

    return $build;
  }

}
